
        A = 5.6
        B = 2.34

        WRITE (6,10) A,B
  10    FORMAT (1X,  'A IS ', F6.3, ' AND B IS ' , F6.3)
        CALL SWAP (A,B)
        WRITE (6,10) A,B
        STOP
        END


               SUBROUTINE SWAP (N,M)
        WRITE (6,11) N,M
  11    FORMAT (1X,  'N IS ', F6.3, ' AND M IS ' , F6.3)
        ITEMP = N
        N = M
        M = ITEMP
        RETURN
        END

